interface ContextMenuOptions {
    container: HTMLElement;
    onUpdateClick: () => void;
    onDeleteClick: () => void;
}
export declare class ContextMenu {
    domElement: HTMLElement;
    container: HTMLElement;
    constructor({ onUpdateClick, onDeleteClick, container }: ContextMenuOptions);
    private onClickOutside;
    private onKeyDown;
    private onResize;
    show(x: number, y: number): void;
    destroy(): void;
}
export {};
